var Display =
{
    status_vol_timer : null,
    status_line_timer : null,
    
    statusVolSpan : null,
    statusLineSpan : null,
    
    status1_timer : null,
    status1Div : null,
    index : 1, 
    run: 0,
    totalTime : 0,
    time : 0,
	resumeFromTimeVisible : false,
	lastPlayedVisible : false,
};


Display.init = function()
{
    var success = true;
    this.status1Div = document.getElementById("status1");
    this.statusVolSpan = document.getElementById("status_vol_span");
    this.statusLineSpan = document.getElementById("status_line_span");

    if (!this.statusVolSpan&&!this.status1Div&&!this.statusLineSpan)
    {
        success = false;
    }
    
    return success;
};
  
/////////////////////// STATUS LINE///////////////////////////////////

Display.statusLine = function(param_string)
{   
	document.getElementById("statusline").style.display="block";
    widgetAPI.putInnerHTML(this.statusLineSpan, param_string);
	clearTimeout(this.status_line_timer);
	Display.statusLineTimer();
};

Display.statusLineTimer = function()
{
	this.status_line_timer=setTimeout("Display.hideStatusLine()",3000);
};

Display.hideStatusLine = function()
{
	document.getElementById("statusline").style.display="none";
};
/////////////////////// STATUS LINE ///////////////////////////////////

/////////////////////// STATUS VOLUME /////////////////////////////////
/*
Display.setVolume = function()
{
	var volume = Audio.getVolume();
	Display.status("<span>ГРОМКОСТЬ " + volume + "</span>");
};

Display.statusMute = function()
{   
	document.getElementById("statusvol").style.display="block";
    widgetAPI.putInnerHTML(this.statusVolSpan, "<span>ГРОМКОСТЬ ВЫКЛ</span>");
	clearTimeout(this.status_vol_timer);
};
Display.status = function(status)
{   
	document.getElementById("statusvol").style.display="block";
    widgetAPI.putInnerHTML(this.statusVolSpan, status);
	clearTimeout(this.status_vol_timer);
	Display.statusVolTimer();
};
Display.hideStatusVol = function()
{
	document.getElementById("statusvol").style.display="none";
};
Display.statusVolTimer = function()
{
	this.status_vol_timer=setTimeout("Display.hideStatusVol()",2000);
};
*/
/////////////////////// STATUS VOLUME /////////////////////////////////

Display.hidemenu = function()
{
	document.getElementById("main").style.display="none";
};

Display.showmenu = function()
{
	document.getElementById("main").style.display="block";
};


Display.hideplayer = function()
{
	document.getElementById("player").style.display="none";
	
	if(Player.state == Player.PLAYING)
	{
		
		document.getElementById("help_navi_l_player").style.display="none";
		document.getElementById("help_navi_player").style.display="block";
	}
};


Display.showplayer = function()
{

    if(Player.state == Player.PLAYING || Player.state == Player.PAUSA)
	{
		document.getElementById("help_navi_l_player").style.display="none";
		document.getElementById("help_navi_player").style.display="block";
		document.getElementById("infoMovi").style.display="block";
    }        
    
    if(Player.state == Player.PAUSA)
	{
		document.getElementById("but_pause").style.display="none";
		document.getElementById("but_play").style.display="block";
		document.getElementById("statusbar").style.display="";
		                       
    }      
    
    if(Player.state == Player.PLAYING_LIVE)
	{
		document.getElementById("help_navi_l_player").style.display="block";
		document.getElementById("help_navi_player").style.display="none";
		document.getElementById("infoMovi").style.display="none";
		
	}
	
	clearTimeout(this.infobar_timer);
	
	document.getElementById("player").style.display="block";
	widgetAPI.putInnerHTML(document.getElementById("play_name"),URLtoXML.pName[b]);
	
	if(Player.state != Player.PAUSED && !this.resumeFromTimeVisible) {
	    Display.infobarTimer();
	}
};
	
Display.infobarTimer = function()
{
	this.infobar_timer=setTimeout("Display.hideplayer()",4000);
};

Display.status1 = function(status1)
{
	document.getElementById("statusbar1").style.display="block";
    widgetAPI.putInnerHTML(this.status1Div, status1);
	clearTimeout(this.status1_timer);
	Display.status1Timer();
};


Display.hidestatus1 = function()
{
	document.getElementById("statusbar1").style.display="none";
};

Display.status1Timer = function()
{
	this.status1_timer=setTimeout("Display.hidestatus1()",2000);
};

Display.setTotalTime = function(total) {this.totalTime = total;};
Display.setTime = function(time)
{
	var timePercent =(100 * time) / this.totalTime;
	var Barwidth = Math.floor(timePercent*6.4);
	var timeHTML = "";
	var timeHour = 0;
	var timeMinute = 0;
	var timeSecond = 0;
	var totalTimeHour = 0; 
	var totalTimeMinute = 0; 
	var totalTimeSecond = 0;
	document.getElementById("progressBar").style.width = Barwidth + "px";
	if(Player.state == Player.PLAYING || Player.state == Player.PAUSA )
	{
		totalTimeHour = Math.floor(this.totalTime/3600000);
		timeHour = Math.floor(time/3600000);
		totalTimeMinute = Math.floor((this.totalTime%3600000)/60000);
		timeMinute = Math.floor((time%3600000)/60000);
		totalTimeSecond = Math.floor((this.totalTime%60000)/1000);
		timeSecond = Math.floor((time%60000)/1000);
		timeHTML = timeHour + ":";
		if(timeMinute == 0)
			timeHTML += "00:";
		else if(timeMinute <10)
			timeHTML += "0" + timeMinute + ":";
		else
			timeHTML += timeMinute + ":";
		if(timeSecond == 0)
			timeHTML += "00/";
		else if(timeSecond <10)
			timeHTML += "0" + timeSecond + "/";
		else
			timeHTML += timeSecond + "/";

		timeHTML += totalTimeHour + ":";
		if(totalTimeMinute == 0)
			timeHTML += "00:";
		else if(totalTimeMinute <10)
			timeHTML += "0" + totalTimeMinute+":";
		else
			timeHTML += totalTimeMinute+":";
		if(totalTimeSecond == 0)
			timeHTML += "00";
		else if(totalTimeSecond <10)
			timeHTML += "0" + totalTimeSecond;
		else
			timeHTML += totalTimeSecond;
		
		if (totalTimeMinute != 0) {
			if (timeSecond >= totalTimeSecond && timeMinute >= totalTimeMinute
					&& timeHour >= totalTimeHour) {
				Player.stopVideo();
				timeHTML = "0:00:00 / 0:00:00";
				setTimeout("Display.Timeout()", 3000);

			}
		}
	}
	else {
		timeHTML = "0:00:00/0:00:00";	
	}
	
	document.getElementById("timeInfo").innerHTML=timeHTML + " (" + Math.floor(timePercent) + "%)";
};

Display.Timeout = function() {
	if (b<URLtoXML.pUrlSt.length-1){
		Main.selectNextElem(); // переключение на след. трек
		if(Player.playWeb) {
			url = URLtoXML.getWebVerURL(URLtoXML.WpUrlSt[b]); // get web url for content
		} else {
			url = URLtoXML.pUrlSt[b];
		}
		Main.play(url, true); // второй параметр: true - с начала, false - с места остановки
	}else{
		Player.stopVideo();
		Main.setWindowMode();
	}
};

Display.showResumeFromTime = function() {
	Main.sta = 2;
	Display.resumeFromTimeVisible = true;
	Display.resumeFromTime(true); // select button "YES" by default
	$("#confirmBoxTitle").html("Начать воспроизведение с последнего места проигрывания?");
	$("#confirmBox").show();
};

Display.hideResumeFromTime = function() {
	Display.resumeFromTimeVisible = false;
	$("#confirmBox").hide();
};

Display.resumeFromTime = function(value) {
	if(value === true) {
		Main.sta = 2;
		$("#buttonNo").removeClass('selected');
		$("#buttonYes").addClass('selected');
	} else {
		Main.sta = 1;
		$("#buttonNo").addClass('selected');
		$("#buttonYes").removeClass('selected');
	}
};

Display.showLastPlayed = function() {
	Main.sta = 2;
	Main.fromLastPlayed = true;
	Display.lastPlayedVisible = true;
	Display.lastPlayed(true);
	$("#confirmBoxTitle").html("Продолжить с файла, на котором вы остановились в прошлый раз?");
	$("#confirmBox").show();
};

Display.hideLastPlayed = function() {
	Display.lastPlayedVisible = false;
	$("#confirmBox").hide();
};

Display.lastPlayed = function(value) {
	if(value) {
		Main.sta = 2;
		Main.fromLastPlayed = true;
		$("#buttonNo").removeClass('selected');
		$("#buttonYes").addClass('selected');
	} else {
		Main.sta = 1;
		Main.fromLastPlayed = false;
		$("#buttonNo").addClass('selected');
		$("#buttonYes").removeClass('selected');
	}
};

Display.music = function() {
	if(Main.MATERIALL == 2)
	{
		//alert ("Test");
		document.getElementById("fon").style.display="block";
		widgetAPI.putInnerHTML(document.getElementById("stroka"), URLtoXML.pName[b]+" <span>\" "+URLtoXML.sName[Main.index]+" \"</span>");
		
	}
};